# This file created by conda-build 3.20.5
# meta.yaml template originally from:
# /src/conda-recipes/llvmlite, last modified Fri Jul 16 19:11:27 2021
# ------------------------------------------------

package:
    name: llvmlite
    version: 0.37.0rc2
source:
    path: /src
build:
    number: '0'
    script_env:
        - LLVMLITE_SHARED
        - LLVMLITE_USE_CMAKE
        - PY_VCRUNTIME_REDIST
    string: py38hbfd4b83_0
requirements:
    build:
        - _openmp_mutex 4.5 1_gnu
        - binutils_impl_linux-aarch64 2.36.1 h026399b_1
        - binutils_linux-aarch64 2.36 h7854541_32
        - gcc_impl_linux-aarch64 9.3.0 h88a1608_19
        - gcc_linux-aarch64 9.3.0 h5551ba8_32
        - gxx_impl_linux-aarch64 9.3.0 ha518f31_19
        - gxx_linux-aarch64 9.3.0 h270f6e9_32
        - kernel-headers_linux-aarch64 4.18.0 hca5cc2b_10
        - ld_impl_linux-aarch64 2.36.1 h02ad14f_1
        - libgcc-devel_linux-aarch64 9.3.0 h246fbc7_19
        - libgcc-ng 9.3.0 he1ea209_19
        - libgomp 9.3.0 he1ea209_19
        - libstdcxx-devel_linux-aarch64 9.3.0 h3261afa_19
        - libstdcxx-ng 9.3.0 h1ed1776_19
        - sysroot_linux-aarch64 2.17 h4744778_10
    host:
        - _openmp_mutex 4.5 1_gnu
        - ca-certificates 2021.5.30 h4fd8a4c_0
        - certifi 2021.5.30 py38h2063c64_0
        - ld_impl_linux-aarch64 2.36.1 h02ad14f_1
        - libffi 3.3 h884eca8_2
        - libgcc-ng 9.3.0 he1ea209_19
        - libgomp 9.3.0 he1ea209_19
        - libstdcxx-ng 9.3.0 h1ed1776_19
        - llvmdev 11.1.0 hbfd4b83_2
        - ncurses 6.2 h7fd3ca4_4
        - openssl 1.1.1k hf897c2e_0
        - pip 21.1.3 pyhd8ed1ab_0
        - python 3.8.10 h4f4e160_1_cpython
        - python_abi 3.8 2_cp38
        - readline 8.1 h1a49cc3_0
        - setuptools 49.6.0 py38h2063c64_3
        - sqlite 3.36.0 hc164836_0
        - tk 8.6.10 ha99a2a3_1
        - wheel 0.36.2 pyhd3deb0d_0
        - xz 5.2.5 h6dd45c4_1
        - zlib 1.2.11 h516909a_1009
    run:
        - libgcc-ng >=9.3.0
        - libstdcxx-ng >=9.3.0
        - python >=3.8,<3.9.0a0
        - python_abi 3.8.* *_cp38
test:
    commands:
        - python -m llvmlite.tests
    imports:
        - llvmlite
        - llvmlite.binding
about:
    home: https://github.com/numba/llvmlite
    license: New BSD License
    summary: A lightweight LLVM python binding for writing JIT compilers
extra:
    copy_test_source_files: true
    final: true
